<?php

session_start();

require_once("../../../vendor/autoload.php");

header("Access-Control-Allow-Origin: *");

$cod = 0;
if(isset($_POST['cod'])){
		$cod = $_POST['cod'];
}else{
		$cod = $_GET['cod'];
}

//cadastrar novo usuário
if ($cod == 0) {
		$var = FALSE;
}
if ($cod == 1) {
	  date_default_timezone_set("Brazil/East"); //Definindo timezone padrão
 
     // $ext = strtolower(substr($_FILES['input-file-preview']['name'],-4)); //Pegando extensão do arquivo
	$ext	= pathinfo($_FILES['input-file-preview']['name'], PATHINFO_EXTENSION);
	  
      $dir = '../../../perfis/'; //Diretório para uploads

	
	$user = new \App\Models\User();
	$var = $user->setUser($_POST,$ext);
	if($var == FALSE){
		$resp = unlink($dir.$new_name);
		$var = FALSE;
	}else{
	  $new_name = $_SESSION['id_1'].'.'.$ext; //Definindo um novo nome para o arquivo

      move_uploaded_file($_FILES['input-file-preview']['tmp_name'], $dir.$new_name); //Fazer upload do arquivo
	}
}
//alterar status do usuário
if ($cod == 2) {
	if (!empty($_POST['id'])) {
		$user = new \App\Models\User();
		$var = $user->alterStatus($_POST['id'],$_POST['status']);
	} else { $var = false; }
}
//alterar status do usuário
if ($cod == 3) {
	if (!empty($_POST['id_esc']) && !empty($_POST['user_nome_edt'])) {
		if (!empty($_POST['user_email_edt'])) {
			
			date_default_timezone_set("Brazil/East"); //Definindo timezone padrão

			//	$ext = strtolower(substr($_FILES['input-file-preview-2']['name'],-3)); //Pegando extensão do arquivo
				$ext	= pathinfo($_FILES['input-file-preview-2']['name'], PATHINFO_EXTENSION);
				
			if(!empty($ext)){
				  $new_name = $_POST['id_esc'].".".$ext; //Definindo um novo nome para o arquivo
				  $dir = '../../../perfis/'; //Diretório para uploads
				  $_SESSION['user_icon'] = $new_name;			


				  move_uploaded_file($_FILES['input-file-preview-2']['tmp_name'], $dir.$new_name); //Fazer upload do arquivo
				  
				$user = new \App\Models\User();
				$var = $user->editarUser($_POST,$ext);
				
				if($var == FALSE){
					$var = FALSE;
				}
			}else{
				$ext = 0;
				$user = new \App\Models\User();
				$var = $user->editarUser($_POST,$ext);
			}
		} else { $var = false; }
	} else { $var = false; }
}

if ($cod == 4) {
	if (!empty($_POST['id']) && !empty($_POST['min_estoque'])) {
		$config = new \App\Models\Config();
		$var = $config->editarConfig($_POST);
	} else { $var = false; }
}


if ($cod == 5) {
	if (!empty($_POST['groupid'])) {
		
		$config = new \App\Models\Config();
		
		
		//$cou = count($_POST['groupid']);
		
		$var = $_POST['groupid'];
		$desconto = $_POST['desconto'];
		foreach ($var as $file) {
			$var = $config->editarConfigDesconto($file,$desconto);
		}
		
		
		
	} else { $var = false; }
}

if ($cod == 6) {
	if (!empty($_POST['produtoid'])) {
		$config = new \App\Models\Config();
		
		$var = $_POST['produtoid'];
		$desconto = $_POST['desconto'];
			
			if($config->descontoProd($var) != 0){
				$var = $config->editarConfigProdDesconto($var,$desconto);
			}else{
				$var = $config->createConfigProdDesconto($var,$desconto);
			}
		
	} else { $var = false; }
}

// COLABORADORES 

if ($cod == 7) {
	date_default_timezone_set("Brazil/East"); //Definindo timezone padrão
	  
	$Usuarios = new \App\Models\Usuarios();
	$var      = $Usuarios->setUsuario($_POST);
	
	/*
	$id    =	$_SESSION['id_1'];
	$nome  = json_encode($_POST['nome_c']);
	$senha = json_encode($_POST['senha_c']);

	$ci = curl_init();

	curl_setopt( $ci, CURLOPT_URL, "https://conect.agenciadp.com.br/response_api_integra.php" ); 
	curl_setopt( $ci, CURLOPT_POST, true);
	curl_setopt( $ci, CURLOPT_POSTFIELDS, array(
		'cod' => 'ADDUSER',
		'id' => $id,
		'nome' => $nome,
		'senha' => $senha
	));
	curl_setopt( $ci, CURLOPT_HEADER, false );
	curl_setopt( $ci, CURLOPT_RETURNTRANSFER, 1 );

	$result = curl_exec( $ci );
		
	$_retorno = json_decode( $result, true );
	*/
	
}

if ($cod == 8) {
	if (!empty($_POST['id_esccob']) && !empty($_POST['user_nome_edtcob'])) {
		
				$user = new \App\Models\Usuarios();
				$var = $user->editarUsuario($_POST);
				
				/*
				$id  = json_encode($_POST['id_esccob']);
				$nome  = json_encode($_POST['user_nome_edtcob']);
				$senha = json_encode($_POST['user_senha_edtcob']);
		
				$ci = curl_init();

				curl_setopt( $ci, CURLOPT_URL, "https://conect.agenciadp.com.br/response_api_integra.php" ); 
				curl_setopt( $ci, CURLOPT_POST, true);
				curl_setopt( $ci, CURLOPT_POSTFIELDS, array(
					'cod' => 'EDITUSER',
					'nome' => $nome,
					'id' => $id,
					'senha' => $senha
				));
				curl_setopt( $ci, CURLOPT_HEADER, false );
				curl_setopt( $ci, CURLOPT_RETURNTRANSFER, 1 );

				$result = curl_exec( $ci ); 
					
				$_retorno = json_decode( $result, true );*/
				
	} else { $var = false; }
}






// COLABORADORES 




echo json_encode($var);